VSTGUI: UTF8CharacterIterator Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Protected Attributes | List of all members
UTF8CharacterIterator Class Reference

## Public Member Functions
| UTF8CharacterIterator (const UTF8StringPtr utf8Str)
| UTF8CharacterIterator (const UTF8StringPtr utf8Str, size_t strLen)
| UTF8CharacterIterator (const std::string &stdStr)
const uint8_t * | next ()
const uint8_t * | previous ()
uint8_t | getByteLength () const
const uint8_t * | begin ()
const uint8_t * | end ()
const uint8_t * | front () const
const uint8_t * | back () const
const uint8_t * | operator++ ()
const uint8_t * | operator-- ()
bool | operator== (uint8_t i)
| operator const uint8_t * () const

## Protected Attributes
const uint8_t * | startPos
const uint8_t * | currentPos
size_t | strLen

## Constructor & Destructor Documentation

UTF8CharacterIterator | ( | const UTF8StringPtr | utf8Str | ) |
| inline

UTF8CharacterIterator | ( | const UTF8StringPtr | utf8Str,
|  | size_t | strLen
| ) |  |
| inline

UTF8CharacterIterator | ( | const std::string & | stdStr | ) |
| inline

## Member Function Documentation

const uint8_t* back | ( |  | ) | const
| inline

const uint8_t* begin | ( |  | ) |
| inline

const uint8_t* end | ( |  | ) |
| inline

const uint8_t* front | ( |  | ) | const
| inline

uint8_t getByteLength | ( |  | ) | const
| inline

const uint8_t* next | ( |  | ) |
| inline

operator const uint8_t * | ( |  | ) | const
| inline

const uint8_t* operator++ | ( |  | ) |
| inline

const uint8_t* operator-- | ( |  | ) |
| inline

bool operator== | ( | uint8_t | i | ) |
| inline

const uint8_t* previous | ( |  | ) |
| inline

## Member Data Documentation

const uint8_t* currentPos
| protected

const uint8_t* startPos
| protected

size_t strLen
| protected

The documentation for this class was generated from the following file:

- cstring.h